<div class="content-wrapper">
  <div class="content-title">
    <ol class="breadcrumb">
      <li><a (click)="goToDashboard()" class="breadcrumb">Dashboard</a></li>
      <li><span>Register: {{eventDetails.name}}</span></li>
    </ol>
    <span class="content-title-subtext">
      <span class="mandatory-text">*</span>All information mandatory
    </span>
  </div>
  <div class="content-details">
    <form [formGroup]="eventRegisterForm" *ngIf="attributes.length !== 0">
      <div *ngFor="let attr of attributes; let i=index; trackBy: trackById" id={{attr.id}}>
        <mat-form-field appearance="outline">
          <mat-label>{{attr.name}}</mat-label>
          <input matInput formControlName={{attr.name}}
            *ngIf="attr.type ==='text'" [required]="attr.mandatory">
          <textarea matInput formControlName={{attr.name}}
            *ngIf="attr.type ==='textarea'" [required]="attr.mandatory">
          </textarea>
        </mat-form-field>
      </div>
    </form>
    <div class="m20" *ngIf="attributes.length === 0">
      <p>You are free to Register to this Event without providing any further details!</p>
    </div>
    <div class="float-none event-actions">
      <button mat-button (click)="cancel()" class="mr10">Cancel</button>
      <button mat-raised-button color="primary" [disabled]="eventRegisterForm.invalid" 
          (click)="registerToEvent()">Register</button>
    </div>
  </div>
</div>